Subject: Re: An Invitation to Plenary Talk in Belarus.
From: "Akira IMADA" <[email-masked]>
To: <[email-masked]>
Date: Sat, 3 Jun 2006 19:40:34 +0300

Dear Xin,

Thank you for this quick reply.

And thank you for your correction. In fact, I always seem
to make such mistakes.

When I send an invitation to the conference at a very first moment,
I wrote, "It will be from June 31 to May 2," and the reply was 
"It's very unusual isn't it?" But, alas,  I didn't notice the implication
until he explained in his next e-mail.

Yes this is me. I know I should be more careful. But a tiny problem
here is no one in my Lab has never pointed it out. I put it on our page
enough long time ago, asking them to check.

Say hello to Colin,

Sincerely,

Akira,